Page MenuHomePhabricator

Diagnose AstroPay ffname errors
Closed, ResolvedPublic1 Estimated Story Points

Description

Seeing a lot of this stuff in payments.error,

ffname 'astropay' is invalid. Assigning ffname ''. I currently am choosing for: {"ffname":null,"country":"BR","currency":null,"payment_method":"cc","payment_submethod":"","recurring":"","gateway":"astropay","utm_source":"b1516_0716_ptbr_p1_lg_amt_20.no-lp.cc","referrer":""}

Currency: null is a red herring - our logging has been wrong forever and should have been looking up currency_code

Event Timeline

Ejegg created this task.Jul 16 2015, 4:22 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 4:22 PM
DStrine set Security to None.
Ejegg renamed this task from Clean up AstroPay ffname logspam to Diagnose AstroPay ffname errors.Jul 30 2015, 10:23 PM
Ejegg updated the task description. (Show Details)
Ejegg added a comment.EditedAug 6 2015, 9:05 PM

Most of them were due to lowercase currency codes coming in (T108242) , but another set are from mismatched payment method and submethod. This seems to happen when the user selects a specific card or bank, then navigates back to donatewiki or the banner and selects the other payment method.

Ejegg closed this task as Resolved.Aug 7 2015, 5:56 PM
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Done on the Fundraising Sprint Queen board.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 14 2015, 7:15 PM